## python-easydev 0.13.3+dfsg1

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/ebisoftware.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/ebisoftware.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/ebisoftware"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/ebisoftware"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

publish:
	scp -r build/html/* cokelaer@ebi1-001.ebi.ac.uk:/homes/cokelaer/public_html/cnolab/wrapper

spelling:
	$(SPHINXBUILD) -b spelling $(ALLSPHINXOPTS) $(BUILDDIR)/spelling

=== doc/requirements.txt ===
sphinx<7
sphinx_rtd_theme
pillow<=10.3.0
sphinx_gallery
sphinx_copybutton

## python-easydev 0.9.35%2Bdfsg

=== debian/control ===
Source: python-easydev
Section: python
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Afif Elghraoui <afif@debian.org>
Build-Depends:
	debhelper (>= 9),
	dh-python,
	python-all,
	python-setuptools,
	python-appdirs,
	python-colorama,
	python-pexpect,
	python-appdirs,
	python3-all,
	python3-setuptools,
	python3-appdirs,
	python3-colorama,
	python3-pexpect,
	python3-appdirs,
Standards-Version: 4.1.3
Homepage: https://easydev-python.readthedocs.io/en/latest/
Vcs-Git: https://anonscm.debian.org/git/debian-med/python-easydev.git
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/python-easydev.git
#Testsuite: autopkgtest-pkg-python

Package: python-easydev
Architecture: all
Depends:
	${python:Depends},
	${misc:Depends},
	python-pkg-resources,
	python-appdirs,
Description: common utilities to ease the development of Python packages (Python 2)
 The package easydev provides miscellaneous functions that are often used in
 other Python packages. easydev should help developers in speeding up their
 own developments.
 .
 This package installs the library for Python 2.

Package: python3-easydev
Architecture: all
Depends:
	${python3:Depends},
	${misc:Depends},
	python3-pkg-resources,
	python3-appdirs,
Description: common utilities to ease the development of Python packages (Python 3)
 The package easydev provides miscellaneous functions that are often used in
 other Python packages. easydev should help developers in speeding up their
 own developments.
 .
 This package installs the library for Python 3.

=== debian/watch ===
version=4

# releases on github don't keep up with pypi, but
# pypi.debian.net seems to be down
#https://pypi.debian.net/python-easydev/python-easydev-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-easydev 0.9.35+dfsg

=== debian/changelog ===
python-easydev (0.9.35+dfsg-2) unstable; urgency=medium

  * Correct ITP bug number in previous changelog entry
  * Add dependencies on python-pkg-resources (Closes: #896292, #896402)
  * Bump Standards-Version to 4.1.3

 -- Afif Elghraoui <afif@debian.org>  Sun, 22 Apr 2018 17:53:49 -0400

python-easydev (0.9.35+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #878964)

 -- Afif Elghraoui <afif@debian.org>  Wed, 18 Oct 2017 01:56:51 -0400

=== debian/rules ===
#!/usr/bin/make -f

export LC_ALL=C.UTF-8
export PYBUILD_NAME=easydev

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_install:
	dh_install
	# Allow python{,3}-easydev to be co-installable
	# and avoid the generic name "browse" for an executable in /usr/bin
	cd debian/python-easydev/usr/bin \
	&& mv easydev_buildPackage easydev2_buildPackage \
	&& mv browse easydev2_browse
	cd debian/python3-easydev/usr/bin \
	&& mv easydev_buildPackage easydev3_buildPackage \
	&& mv browse easydev3_browse

## python-easydev 0.9.37

=== debian/changelog ===
python-easydev (0.9.37-1) unstable; urgency=medium

  * Team upload.

  [ Andreas Tille ]
  * Fix watch file
  * debhelper 12
  * Activate Testsuite field
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.3.0
  * Remove trailing whitespace in debian/copyright

  [ Piotr Ożarowski ]
  * do not use pkg_resources

  [ Nick Morrott ]
  * d/control: refresh build-dependencies for tests
  * d/patches: refresh external-appdirs.patch
  * d/rules: generate egg_info for tests
  * d/rules: skip test requiring network access
  * d/rules: delete coverage report from build tree
  * Drop unused python-easydev.lintian-overrides.

 -- Andreas Tille <tille@debian.org>  Wed, 23 Jan 2019 07:45:34 +0100

=== debian/control ===
Source: python-easydev
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Afif Elghraoui <afif@debian.org>
Section: python
Testsuite: autopkgtest-pkg-python
Priority: optional
Build-Depends: debhelper (>= 12~),
               dh-python,
               python-all,
               python-setuptools,
               python-appdirs,
               python-colorlog,
               python-colorama,
               python-nose,
               python-pexpect,
               python-pytest,
               python-pytest-cov,
               python-pytest-mock,
               python3-all,
               python3-setuptools,
               python3-appdirs,
               python3-colorlog,
               python3-colorama,
               python3-nose,
               python3-pexpect,
               python3-pytest,
               python3-pytest-cov,
               python3-pytest-mock,
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/med-team/python-easydev
Vcs-Git: https://salsa.debian.org/med-team/python-easydev.git
Homepage: https://easydev-python.readthedocs.io/en/latest/

Package: python-easydev
Architecture: all
Depends: ${python:Depends},
         ${misc:Depends},
         python-pkg-resources,
         python-appdirs
Description: common utilities to ease the development of Python packages (Python 2)
 The package easydev provides miscellaneous functions that are often used in
 other Python packages. easydev should help developers in speeding up their
 own developments.
 .
 This package installs the library for Python 2.

Package: python3-easydev
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends},
         python3-pkg-resources,
         python3-appdirs
Description: common utilities to ease the development of Python packages (Python 3)
 The package easydev provides miscellaneous functions that are often used in
 other Python packages. easydev should help developers in speeding up their
 own developments.
 .
 This package installs the library for Python 3.

=== debian/rules ===
--- 
+++ 
@@ -2,12 +2,20 @@
 
 export LC_ALL=C.UTF-8
 export PYBUILD_NAME=easydev
+
+export PYBUILD_BEFORE_TEST={interpreter} {dir}/setup.py egg_info -e {build_dir}
+export PYBUILD_AFTER_TEST=cd {build_dir}; rm -rf *.egg-info
+export PYBUILD_TEST_ARGS=-k-test_url
 
 %:
 	dh $@ --with python2,python3 --buildsystem=pybuild
 
 override_dh_install:
 	dh_install
+
+	# remove coverage report
+	$(RM) debian/*/usr/lib/python*/dist-packages/.coverage
+
 	# Allow python{,3}-easydev to be co-installable
 	# and avoid the generic name "browse" for an executable in /usr/bin
 	cd debian/python-easydev/usr/bin \

=== debian/watch ===
version=4

https://pypi.python.org/simple/easydev .*/easydev-@ANY_VERSION@@ARCHIVE_EXT@#sha256=.*

## python-easydev 0.9.38

=== debian/changelog ===
python-easydev (0.9.38-2) unstable; urgency=medium

  * Source only upload (Closes: #943912). 

 -- Olivier Sallou <osallou@debian.org>  Mon, 04 Nov 2019 10:22:25 +0000

python-easydev (0.9.38-1) unstable; urgency=medium

  * New upstream release (Closes: #937720).

 -- Olivier Sallou <osallou@debian.org>  Mon, 28 Oct 2019 15:56:52 +0000

python-easydev (0.9.37-2) UNRELEASED; urgency=medium

  * Remove python2 package  (Closes: #937720).

 -- Olivier Sallou <osallou@debian.org>  Mon, 28 Oct 2019 15:04:58 +0000

=== debian/control ===
Source: python-easydev
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Olivier Sallou <osallou@debian.org>
Section: python
Testsuite: autopkgtest-pkg-python
Priority: optional
Build-Depends: debhelper (>= 12~),
               dh-python,
               python3-all,
               python3-setuptools,
               python3-appdirs,
               python3-colorlog,
               python3-colorama,
               python3-mock,
               python3-nose,
               python3-pexpect,
               python3-pytest,
               python3-pytest-cov,
               python3-pytest-mock,
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/med-team/python-easydev
Vcs-Git: https://salsa.debian.org/med-team/python-easydev.git
Homepage: https://easydev-python.readthedocs.io/en/latest/

Package: python3-easydev
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends},
         python3-pkg-resources,
         python3-appdirs
Description: common utilities to ease the development of Python packages (Python 3)
 The package easydev provides miscellaneous functions that are often used in
 other Python packages. easydev should help developers in speeding up their
 own developments.
 .
 This package installs the library for Python 3.

## python-easydev 0.10.1+dfsg

=== debian/changelog ===
python-easydev (0.10.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Advertise repackaged source

 -- Andreas Tille <tille@debian.org>  Tue, 29 Sep 2020 09:58:41 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: python
 Testsuite: autopkgtest-pkg-python
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
                python3-setuptools,
@@ -17,10 +17,11 @@
                python3-pytest,
                python3-pytest-cov,
                python3-pytest-mock,
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/med-team/python-easydev
 Vcs-Git: https://salsa.debian.org/med-team/python-easydev.git
 Homepage: https://easydev-python.readthedocs.io/en/latest/
+Rules-Requires-Root: no
 
 Package: python3-easydev
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 export PYBUILD_TEST_ARGS=-k-test_url
 
 %:
-	dh $@ --with python2,python3 --buildsystem=pybuild
+	dh $@ --with python3 --buildsystem=pybuild
 
 override_dh_install:
 	dh_install
@@ -18,9 +18,6 @@
 
 	# Allow python{,3}-easydev to be co-installable
 	# and avoid the generic name "browse" for an executable in /usr/bin
-	cd debian/python-easydev/usr/bin \
-	&& mv easydev_buildPackage easydev2_buildPackage \
-	&& mv browse easydev2_browse
 	cd debian/python3-easydev/usr/bin \
 	&& mv easydev_buildPackage easydev3_buildPackage \
 	&& mv browse easydev3_browse

## python-easydev 0.12.0%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: python-easydev
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Olivier Sallou <osallou@debian.org>
 Section: python
 Testsuite: autopkgtest-pkg-python
@@ -17,9 +17,9 @@
                python3-pytest,
                python3-pytest-cov,
                python3-pytest-mock,
-Standards-Version: 4.5.0
-Vcs-Browser: https://salsa.debian.org/med-team/python-easydev
-Vcs-Git: https://salsa.debian.org/med-team/python-easydev.git
+Standards-Version: 4.6.0
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-easydev
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-easydev.git
 Homepage: https://easydev-python.readthedocs.io/en/latest/
 Rules-Requires-Root: no

## python-easydev 0.12.0+dfsg

=== debian/changelog ===
python-easydev (0.12.0+dfsg-4) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Update standards version to 4.6.1, no changes needed.

  [ Mohammed Bilal ]
  * remove python3-nose from B-D (Closes: #1018484)

  [ Jeroen Ploemen ]
  * Rules: use execute_after instead of an override for dh_install.

 -- Mohammed Bilal <mdbilal@disroot.org>  Sun, 04 Dec 2022 20:32:25 +0000

python-easydev (0.12.0+dfsg-3) unstable; urgency=medium

  * debian/rules
    - fix pytest -k syntax for pytest7; Closes: #1013723

 -- Sandro Tosi <morph@debian.org>  Sun, 26 Jun 2022 13:00:17 -0400

python-easydev (0.12.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Move package to Debian Python Team

 -- Andreas Tille <tille@debian.org>  Sun, 02 Jan 2022 16:55:42 +0100

python-easydev (0.12.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version.  (Closes: #997503)
  * Standards-Version: 4.6.0 (routine-update)
  * No tab in license text (routine-update)
  * Refresh external-appdirs.patch
  * Refresh no_pkg_resources.patch
  * d/rules: remove easydev_buildPackage renaming.
    The executable script is not provided anymore.
  * d/copyright: bump copyright year

 -- Étienne Mollier <emollier@debian.org>  Thu, 28 Oct 2021 21:29:43 +0200

=== debian/control ===
--- 
+++ 
@@ -12,12 +12,11 @@
                python3-colorlog,
                python3-colorama,
                python3-mock,
-               python3-nose,
                python3-pexpect,
                python3-pytest,
                python3-pytest-cov,
                python3-pytest-mock,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-easydev
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-easydev.git
 Homepage: https://easydev-python.readthedocs.io/en/latest/

=== debian/rules ===
#!/usr/bin/make -f

export LC_ALL=C.UTF-8
export PYBUILD_NAME=easydev

export PYBUILD_BEFORE_TEST={interpreter} {dir}/setup.py egg_info -e {build_dir}
export PYBUILD_AFTER_TEST=cd {build_dir}; rm -rf *.egg-info
export PYBUILD_TEST_ARGS=-k "not test_url"

%:
	dh $@ --with python3 --buildsystem=pybuild

execute_after_dh_install:
	# remove coverage report
	$(RM) debian/*/usr/lib/python*/dist-packages/.coverage

	# Allow python{,3}-easydev to be co-installable
	# and avoid the generic name "browse" for an executable in /usr/bin
	cd debian/python3-easydev/usr/bin \
	&& mv browse easydev3_browse

## python-easydev 0.12.1+dfsg

=== debian/changelog ===
python-easydev (0.12.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * d/copyright: Remove superfluous file pattern, easydev/package.py
  * d/patches: Set Forwarded to not-needed for no_pkg_resources.patch and
    privacy.patch
  * d/source/options: Not needed, egg-info cleaned by dh-sequence-python3
  * d/rules: Remove manual cleaning of egg-info and add pybuild_autopkgtest
    conditional for test preparation
  * d/control: Replace autopkgtest-pkg-python with autopkgtest-pkg-pybuild

 -- Lance Lin <lq27267@gmail.com>  Tue, 05 Dec 2023 16:37:57 +0000

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Olivier Sallou <osallou@debian.org>
 Section: python
-Testsuite: autopkgtest-pkg-python
+Testsuite: autopkgtest-pkg-pybuild
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                python3-all,
                python3-setuptools,
                python3-appdirs,
@@ -16,7 +16,7 @@
                python3-pytest,
                python3-pytest-cov,
                python3-pytest-mock,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-easydev
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-easydev.git
 Homepage: https://easydev-python.readthedocs.io/en/latest/

=== debian/rules ===
--- 
+++ 
@@ -3,12 +3,15 @@
 export LC_ALL=C.UTF-8
 export PYBUILD_NAME=easydev
 
+ifneq ($(PYBUILD_AUTOPKGTEST), 1)
 export PYBUILD_BEFORE_TEST={interpreter} {dir}/setup.py egg_info -e {build_dir}
-export PYBUILD_AFTER_TEST=cd {build_dir}; rm -rf *.egg-info
+else
+export PYBUILD_BEFORE_TEST={interpreter} {dir}/setup.py egg_info
+endif
 export PYBUILD_TEST_ARGS=-k "not test_url"
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 execute_after_dh_install:
 	# remove coverage report

=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=auto,repack,compression=xz" \
  https://pypi.python.org/simple/easydev .*/easydev-@ANY_VERSION@@ARCHIVE_EXT@#sha256=.*

## python-easydev 0.13.2+dfsg

=== debian/changelog ===
python-easydev (0.13.2+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.13.2+dfsg
  * the pypi archive is missing tests/, update d/watch to use Github
  * update dependencies:
    - python3-mock (Closes: #1063816)
    - python3-appdirs
    - python3-setuptools
    + python3-platformdirs
    + python3-poetry
    + python3-poetry-core
  * remove Python2 vs 3 cruft
  * remove old patches

 -- Alexandre Detiste <tchet@debian.org>  Sun, 28 Apr 2024 22:04:35 +0200

=== debian/control ===
--- 
+++ 
@@ -6,12 +6,13 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
+               pybuild-plugin-pyproject,
                python3-all,
-               python3-setuptools,
-               python3-appdirs,
+               python3-poetry,
+               python3-poetry-core,
+               python3-platformdirs,
                python3-colorlog,
                python3-colorama,
-               python3-mock,
                python3-pexpect,
                python3-pytest,
                python3-pytest-cov,
@@ -32,5 +33,3 @@
  The package easydev provides miscellaneous functions that are often used in
  other Python packages. easydev should help developers in speeding up their
  own developments.
- .
- This package installs the library for Python 3.

=== debian/rules ===
#!/usr/bin/make -f

export LC_ALL=C.UTF-8
export PYBUILD_NAME=easydev
export PYBUILD_TEST_ARGS=-k 'not test_appdirs and not test_config'

#ifneq ($(PYBUILD_AUTOPKGTEST), 1)
#export PYBUILD_BEFORE_TEST={interpreter} {dir}/setup.py egg_info -e {build_dir}
#else
#export PYBUILD_BEFORE_TEST={interpreter} {dir}/setup.py egg_info
#endif
#export PYBUILD_TEST_ARGS=-k "not test_url"

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_install:
	# remove coverage report
	$(RM) debian/*/usr/lib/python*/dist-packages/.coverage

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=auto,repack,compression=xz" \
  https://github.com/cokelaer/easydev/tags  (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## python-easydev 0.13.2+dfsg1

=== debian/changelog ===
python-easydev (0.13.2+dfsg1-3) unstable; urgency=medium

  * Team upload.
  * Remove python3-appdirs from runtime dependencies too.
  * Remove obsolete runtime dep on python3-pkg-resources.

 -- Alexandre Detiste <tchet@debian.org>  Thu, 04 Jul 2024 23:04:35 +0200

python-easydev (0.13.2+dfsg1-2) unstable; urgency=medium

  * Team upload.
  * d/rules: Skip test_url test; requires internet connection.
    (Closes: #1071075)

 -- Sergio Durigan Junior <sergiodj@debian.org>  Tue, 11 Jun 2024 14:08:14 -0400

python-easydev (0.13.2+dfsg1-1) unstable; urgency=medium

  * Team upload.
  * redo tarball
  * do not exclude appdirs.py anymore,
    it is just a thin compatibility wrapper now

 -- Alexandre Detiste <tchet@debian.org>  Sun, 28 Apr 2024 23:01:25 +0200

## python-easydev 0.13.3%2Bdfsg1

=== debian/changelog ===
python-easydev (0.13.3+dfsg1-2) unstable; urgency=medium

  * Team upload.
  * Fix multicore tests on Python 3.14 (closes: #1123235).

 -- Colin Watson <cjwatson@debian.org>  Tue, 06 Jan 2026 12:43:25 +0000

python-easydev (0.13.3+dfsg1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release:
    - Support poetry-core 2.0 (closes: #1094057).

 -- Colin Watson <cjwatson@debian.org>  Mon, 27 Jan 2025 20:09:55 +0000

## python-easydev 0.13.3+dfsg1

=== debian/control ===
--- 
+++ 
@@ -27,8 +27,6 @@
 Architecture: all
 Depends: ${python3:Depends},
          ${misc:Depends},
-         python3-pkg-resources,
-         python3-appdirs
 Description: common utilities to ease the development of Python packages (Python 3)
  The package easydev provides miscellaneous functions that are often used in
  other Python packages. easydev should help developers in speeding up their

=== debian/rules ===
#!/usr/bin/make -f

export LC_ALL=C.UTF-8
export PYBUILD_NAME=easydev

# test_url requires internet connection, which we don't have during
# the build.
export PYBUILD_TEST_ARGS=-k "not test_url"

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_install:
	# remove coverage report
	$(RM) debian/*/usr/lib/python*/dist-packages/.coverage

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg1,dversionmangle=auto,repack,compression=xz" \
  https://github.com/cokelaer/easydev/tags  (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
